/////////////////////////////////////////////////////////////////////////
//                                                                     // 
//                     m68882real                                      //
//                    ~~~~~~~~~~~~                                     //
// C++ class enabling direct use of the m68882's 96-bit representation //
//                                                                     //
//                                                                     //
//                Written AUG98 by R.C.Lafferty                        //
//  BSc (hons) Computing Student at Farnborough College of Technology  //
//                                                                     //
// (Re)liability:                                                      //
// ~~~~~~~~~~~~~~                                                      //
// This is a purely experimental class and while it has been tested    //
// for basic correctness, it is only to be used as an educational      //
// example. However, the code provided here may indeed be used by      //
// coders who have fully tested it themselves and who use it at their  //
// own risk. Feel free to improve and re-distribute it.                //
//                                                                     //
// Feedback:                                                           //
// ~~~~~~~~~                                                           //
// Comments may be sent to: 10026254@farn-ct.ac.uk                     //
//                                                                     //
/////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////
// INTERFACE FOR USING m68882real like any other real-number type //
////////////////////////////////////////////////////////////////////

#ifndef M68882REAL_REAL_H
#define M68882REAL_REAL_H

#include "m68882real.h"
#include <iostream.h>


typedef m68882real real;


#ifdef PI
#undef PI
#endif

const real PI=atan(real(1.0))*real(4.0);

inline ostream &operator<<(ostream &os,const real &r)
{
    return os << double(r);
}

inline istream &operator>>(istream &is,real &r)
{
    double d;
    
    if(is >> d) r=d;
    
    return is;
}


#endif // M68882REAL_REAL_H